## selinux-python 3.3

=== debian/changelog ===
selinux-python (3.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Christian Göttsche ]
  * d/gitlab-ci.yml: Use Debian recipe
  * d/control: Bump debhelper compat to level 13
  * d/control: Bump Standards-Version to 4.5.1 (no further changes)
  * d/control: Convert cute fields
  * d/control: Update homepage
  * d/not-installed: Declare not installed files
  * d/control: Drop disabled python2 build dependencies

  [ Laurent Bigonville ]
  * debian/watch: Update the URL to follow the new tagging format
  * New upstream version 3.3
    - debian/control: Bump {build-}dependencies to match the new release
  * debian/control: Bump Standards-Version to 4.6.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 08 Nov 2021 18:14:01 +0100

=== debian/control ===
Source: selinux-python
Vcs-Git: https://salsa.debian.org/selinux-team/selinux-python.git
Vcs-Browser: https://salsa.debian.org/selinux-team/selinux-python
Priority: optional
Section: utils
Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
Uploaders: Laurent Bigonville <bigon@debian.org>,
           Russell Coker <russell@coker.com.au>
Standards-Version: 4.6.0
Build-Depends: debhelper-compat (= 13),
               dh-python,
               libcap-ng-dev,
               libselinux1-dev (>= 3.3),
               libsepol-dev (>= 3.3),
               python3-dev (>= 3.2),
Homepage: https://selinuxproject.org
# The seunshare executable is not installed SETUID in the package,
# this is done in the postinst script if the capabilities cannot be set.
# There is no need to have (fake)root during the build.
Rules-Requires-Root: no

Package: policycoreutils-python-utils
Architecture: all
Depends: policycoreutils (>= 3.3),
         python3-audit,
         python3-selinux (>= 3.3),
         python3-semanage (>= 3.3),
         python3-sepolgen (= ${source:Version}),
         python3-sepolicy (= ${source:Version}),
         selinux-utils,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Breaks: policycoreutils (<< 2.4)
Replaces: policycoreutils (<< 2.4)
Pre-Depends: ${misc:Pre-Depends}
Description: SELinux core policy utilities (Python utilities)
 Security-enhanced Linux is a patch of the Linux® kernel and a number
 of utilities with enhanced security functionality designed to add
 mandatory access controls to Linux.  The Security-enhanced Linux
 kernel contains new architectural components originally developed to
 improve the security of the Flask operating system. These
 architectural components provide general support for the enforcement
 of many kinds of mandatory access control policies, including those
 based on the concepts of Type Enforcement®, Role-based Access Control,
 and Multi-level Security.
 .
 This package contains the policycoreutils written in Python like semanage,
 audit2why, audit2allow or chcat.

Package: python3-sepolicy
Architecture: all
Depends: python3-selinux (>= 3.3),
         python3-sepolgen (= ${source:Version}),
         python3-setools (>= 4.4.0),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Section: python
Description: Python binding for SELinux Policy Analyses
 This package contains a Python binding for SELinux Policy Analyses.

Package: policycoreutils-gui
Architecture: all
Depends: gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         policycoreutils (>= 3.3),
         policycoreutils-dbus (>= 3.3),
         policycoreutils-dev (>= 3.3),
         policykit-1,
         python3-dbus,
         python3-gi,
         python3-selinux (>= 3.3),
         python3-sepolicy (= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends}
Description: SELinux core policy utilities (graphical utilities)
 Security-enhanced Linux is a patch of the Linux® kernel and a number
 of utilities with enhanced security functionality designed to add
 mandatory access controls to Linux.  The Security-enhanced Linux
 kernel contains new architectural components originally developed to
 improve the security of the Flask operating system. These
 architectural components provide general support for the enforcement
 of many kinds of mandatory access control policies, including those
 based on the concepts of Type Enforcement®, Role-based Access Control,
 and Multi-level Security.
 .
 This package contains the system-config-selinux and the selinux-polgengui
 utilities.

Package: policycoreutils-dev
Architecture: linux-any
Section: devel
Depends: binutils,
         policycoreutils (>= 3.3),
         python3-selinux (>= 3.3),
         python3-sepolgen (= ${source:Version}),
         python3-sepolicy (= ${source:Version}),
         semodule-utils (>= 3.3),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Breaks: policycoreutils (<< 2.4)
Replaces: policycoreutils (<< 2.4)
Built-Using: ${Built-Using}
Description: SELinux core policy utilities (development utilities)
 Security-enhanced Linux is a patch of the Linux® kernel and a number
 of utilities with enhanced security functionality designed to add
 mandatory access controls to Linux.  The Security-enhanced Linux
 kernel contains new architectural components originally developed to
 improve the security of the Flask operating system. These
 architectural components provide general support for the enforcement
 of many kinds of mandatory access control policies, including those
 based on the concepts of Type Enforcement®, Role-based Access Control,
 and Multi-level Security.
 .
 This package contains the management tools used to develop policy in an
 SELinux environment.

Package: policycoreutils-sandbox
Architecture: linux-any
Depends: dbus (>= 1.8),
         gir1.2-gtk-3.0,
         libcap2-bin,
         policycoreutils,
         python3,
         python3-gi,
         x11-xserver-utils,
         xserver-xephyr,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: openbox | x-window-manager
Description: SELinux core policy utilities (graphical sandboxes)
 Security-enhanced Linux is a patch of the Linux® kernel and a number
 of utilities with enhanced security functionality designed to add
 mandatory access controls to Linux.  The Security-enhanced Linux
 kernel contains new architectural components originally developed to
 improve the security of the Flask operating system. These
 architectural components provide general support for the enforcement
 of many kinds of mandatory access control policies, including those
 based on the concepts of Type Enforcement®, Role-based Access Control,
 and Multi-level Security.
 .
 This package contains the scripts to create graphical sandboxes.
 .
 This package requires an additional custom policy that is not present in
 Debian.

Package: python3-sepolgen
Architecture: all
Depends: checkpolicy (>= 3.3),
         make,
         python3-selinux (>= 3.3),
         python3-setools (>= 4.4.0),
         semodule-utils (>= 3.3),
         ${misc:Depends},
         ${python3:Depends}
Recommends: selinux-policy-dev
Breaks: python-sepolgen (<< 2.6)
Replaces: python-sepolgen (<< 2.6)
Section: python
Description: Python3 module used in SELinux policy generation
 This package contains a Python3 module that forms the core of the modern
 audit2allow (which is a part of the package policycoreutils).
 .
 The sepolgen library is structured to give flexibility to the application
 using it. The library contains: Reference Policy Representation,
 which are Objects for representing policies and the reference policy
 interfaces. Secondly, it has objects and algorithms for representing
 access and sets of access in an abstract way and searching that
 access. It also has a parser for reference policy "headers". It
 contains infrastructure for parsing SELinux related messages as
 produced by the audit system. It has facilities for generating policy
 based on required access.

=== debian/watch ===
version=4

opts="uversionmangle=s/-(rc)/~$1/" \
https://github.com/SELinuxProject/selinux/wiki/Releases (?:.*)/releases/download/(?:\d\.\d[\.\d]?)/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
opts="uversionmangle=s/-(rc)/~$1/,component=sandbox" \
https://github.com/SELinuxProject/selinux/wiki/Releases (?:.*)/releases/download/(?:\d\.\d[\.\d]?)/selinux-sandbox@ANY_VERSION@@ARCHIVE_EXT@
opts="uversionmangle=s/-(rc)/~$1/,component=gui" \
https://github.com/SELinuxProject/selinux/wiki/Releases (?:.*)/releases/download/(?:\d\.\d[\.\d]?)/selinux-gui@ANY_VERSION@@ARCHIVE_EXT@

## selinux-python 3.4

=== debian/changelog ===
selinux-python (3.4-1) unstable; urgency=medium

  * New upstream release
    - debian/control: Bump {build-}dependencies to match the new release
  * debian/control: Make policycoreutils-python-utils explicitly depend against
    python3-setools
  * Enable GPG key validation of the upstream tarball 
  * Install new translation files

 -- Laurent Bigonville <bigon@debian.org>  Sun, 05 Jun 2022 18:45:53 +0200

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                libcap-ng-dev,
-               libselinux1-dev (>= 3.3),
-               libsepol-dev (>= 3.3),
+               libselinux1-dev (>= 3.4),
+               libsepol-dev (>= 3.4),
                python3-dev (>= 3.2),
 Homepage: https://selinuxproject.org
 # The seunshare executable is not installed SETUID in the package,
@@ -21,12 +21,13 @@
 
 Package: policycoreutils-python-utils
 Architecture: all
-Depends: policycoreutils (>= 3.3),
+Depends: policycoreutils (>= 3.4),
          python3-audit,
-         python3-selinux (>= 3.3),
-         python3-semanage (>= 3.3),
+         python3-selinux (>= 3.4),
+         python3-semanage (>= 3.4),
          python3-sepolgen (= ${source:Version}),
          python3-sepolicy (= ${source:Version}),
+         python3-setools (>= 4.4.0),
          selinux-utils,
          ${misc:Depends},
          ${python3:Depends},
@@ -50,7 +51,7 @@
 
 Package: python3-sepolicy
 Architecture: all
-Depends: python3-selinux (>= 3.3),
+Depends: python3-selinux (>= 3.4),
          python3-sepolgen (= ${source:Version}),
          python3-setools (>= 4.4.0),
          ${misc:Depends},
@@ -64,13 +65,13 @@
 Architecture: all
 Depends: gir1.2-glib-2.0,
          gir1.2-gtk-3.0,
-         policycoreutils (>= 3.3),
-         policycoreutils-dbus (>= 3.3),
-         policycoreutils-dev (>= 3.3),
+         policycoreutils (>= 3.4),
+         policycoreutils-dbus (>= 3.4),
+         policycoreutils-dev (>= 3.4),
          policykit-1,
          python3-dbus,
          python3-gi,
-         python3-selinux (>= 3.3),
+         python3-selinux (>= 3.4),
          python3-sepolicy (= ${source:Version}),
          ${misc:Depends},
          ${python3:Depends}
@@ -92,11 +93,11 @@
 Architecture: linux-any
 Section: devel
 Depends: binutils,
-         policycoreutils (>= 3.3),
-         python3-selinux (>= 3.3),
+         policycoreutils (>= 3.4),
+         python3-selinux (>= 3.4),
          python3-sepolgen (= ${source:Version}),
          python3-sepolicy (= ${source:Version}),
-         semodule-utils (>= 3.3),
+         semodule-utils (>= 3.4),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
@@ -148,11 +149,11 @@
 
 Package: python3-sepolgen
 Architecture: all
-Depends: checkpolicy (>= 3.3),
+Depends: checkpolicy (>= 3.4),
          make,
-         python3-selinux (>= 3.3),
+         python3-selinux (>= 3.4),
          python3-setools (>= 4.4.0),
-         semodule-utils (>= 3.3),
+         semodule-utils (>= 3.4),
          ${misc:Depends},
          ${python3:Depends}
 Recommends: selinux-policy-dev

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
#  # Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

BUILT_USING=$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W "libsepol-dev")
export PYTHON=python3

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3

override_dh_auto_build:
	dh_auto_build
	dh_auto_build -Dgui
	dh_auto_build -Dsandbox

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
	dh_auto_install -Dgui --destdir=debian/tmp
	dh_auto_install -Dsandbox --destdir=debian/tmp

override_dh_auto_test:

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean -Dgui
	dh_auto_clean -Dsandbox

override_dh_gencontrol:
	dh_gencontrol -- -VBuilt-Using="$(BUILT_USING)"

## selinux-python 3.5

=== Makefile ===
# Installation directories.
LINGUAS ?= ru
PREFIX ?= /usr
BINDIR ?= $(PREFIX)/bin
SHAREDIR ?= $(PREFIX)/share/system-config-selinux
DATADIR ?= $(PREFIX)/share
MANDIR ?= $(PREFIX)/share/man
DESKTOPDIR ?= $(PREFIX)/share/applications

TARGETS= \
booleansPage.py \
domainsPage.py \
fcontextPage.py \
loginsPage.py \
modulesPage.py \
polgen.ui \
portsPage.py \
semanagePage.py \
statusPage.py \
system-config-selinux.png \
system-config-selinux.ui \
usersPage.py

all: $(TARGETS) system-config-selinux.py polgengui.py
	(cd po && $(MAKE) $@)

install: all
	-mkdir -p $(DESTDIR)$(MANDIR)/man8
	-mkdir -p $(DESTDIR)$(SHAREDIR)
	-mkdir -p $(DESTDIR)$(BINDIR)
	-mkdir -p $(DESTDIR)$(DATADIR)/pixmaps
	-mkdir -p $(DESTDIR)$(DATADIR)/icons/hicolor/24x24/apps
	-mkdir -p $(DESTDIR)$(DATADIR)/polkit-1/actions/
	-mkdir -p $(DESTDIR)$(DESKTOPDIR)
	install -m 755 system-config-selinux.py $(DESTDIR)$(SHAREDIR)
	install -m 755 system-config-selinux $(DESTDIR)$(BINDIR)
	install -m 755 polgengui.py $(DESTDIR)$(BINDIR)/selinux-polgengui
	install -m 644 $(TARGETS) $(DESTDIR)$(SHAREDIR)
	install -m 644 system-config-selinux.8 $(DESTDIR)$(MANDIR)/man8
	install -m 644 selinux-polgengui.8 $(DESTDIR)$(MANDIR)/man8
	for lang in $(LINGUAS) ; do \
		if [ -e $${lang} ] ; then \
			mkdir -p $(DESTDIR)$(MANDIR)/$${lang}/man8 ; \
			install -m 644 $${lang}/*.8 $(DESTDIR)$(MANDIR)/$${lang}/man8/ ; \
		fi ; \
	done
	install -m 644 system-config-selinux.png $(DESTDIR)$(DATADIR)/pixmaps
	install -m 644 system-config-selinux.png $(DESTDIR)$(DATADIR)/icons/hicolor/24x24/apps
	install -m 644 system-config-selinux.png $(DESTDIR)$(DATADIR)/system-config-selinux
	install -m 644 *.desktop $(DESTDIR)$(DESKTOPDIR)
	-mkdir -p $(DESTDIR)$(DATADIR)/pixmaps
	install -m 644 sepolicy_256.png $(DESTDIR)$(DATADIR)/pixmaps/sepolicy.png
	for i in 16 22 32 48 256; do \
		mkdir -p $(DESTDIR)$(DATADIR)/icons/hicolor/$${i}x$${i}/apps; \
		install -m 644 sepolicy_$${i}.png $(DESTDIR)$(DATADIR)/icons/hicolor/$${i}x$${i}/apps/sepolicy.png; \
	done
	install -m 644 org.selinux.config.policy $(DESTDIR)$(DATADIR)/polkit-1/actions/
	(cd po && $(MAKE) $@)

clean:
	(cd po && $(MAKE) $@)

indent:

relabel:

test:

=== sepolicy/Makefile ===
PYTHON ?= python3

# Installation directories.
LINGUAS ?= ru
PREFIX ?= /usr
BINDIR ?= $(PREFIX)/bin
MANDIR ?= $(PREFIX)/share/man
BASHCOMPLETIONDIR ?= $(PREFIX)/share/bash-completion/completions
CFLAGS ?= -Wall -Werror -Wextra -W
override CFLAGS += -DPACKAGE="policycoreutils" -DSHARED -shared

BASHCOMPLETIONS=sepolicy-bash-completion.sh

all: python-build

python-build:
	$(PYTHON) setup.py build

clean:
	$(PYTHON) setup.py clean
	-rm -rf build *~ \#* *pyc .#* sepolicy.egg-info/

sepolgen:
	ln -sf sepolicy sepolgen

test:
	@$(PYTHON) test_sepolicy.py -v

install:
	$(PYTHON) -m pip install --prefix=$(PREFIX) `test -n "$(DESTDIR)" && echo --root $(DESTDIR) --ignore-installed --no-deps` $(PYTHON_SETUP_ARGS) .
	[ -d $(DESTDIR)$(BINDIR) ] || mkdir -p $(DESTDIR)$(BINDIR)
	install -m 755 sepolicy.py $(DESTDIR)$(BINDIR)/sepolicy
	(cd $(DESTDIR)$(BINDIR); ln -sf sepolicy sepolgen)
	-mkdir -p $(DESTDIR)$(MANDIR)/man8
	install -m 644 *.8 $(DESTDIR)$(MANDIR)/man8
	for lang in $(LINGUAS) ; do \
		if [ -e $${lang} ] ; then \
			mkdir -p $(DESTDIR)$(MANDIR)/$${lang}/man8 ; \
			install -m 644 $${lang}/*.8 $(DESTDIR)$(MANDIR)/$${lang}/man8/ ; \
		fi ; \
	done
	-mkdir -p $(DESTDIR)$(BASHCOMPLETIONDIR)
	install -m 644 $(BASHCOMPLETIONS) $(DESTDIR)$(BASHCOMPLETIONDIR)/sepolicy

relabel:

=== debian/changelog ===
selinux-python (3.5-1) unstable; urgency=medium

  * New upstream release
    - debian/control: Bump {build-}dependencies to match the new release
    - debian/patches/*: Refreshed
    - debian/control: Add python3-setuptools and python3-pip to the BD
    - debian/rules: Properly set the install layout for the python modules
  * debian/upstream/signing-key.asc: Add public key of Jason Zaman
  * debian/control: Bump Standards-Version to 4.6.2 (no further changes)
  * debian/control: Drop policykit-1 dependency, nothing installed by the
    package relies on it ATM (Closes: #1025628)
  * debian/policycoreutils-gui.lintian-overrides: Fix override

 -- Laurent Bigonville <bigon@debian.org>  Tue, 11 Jul 2023 12:12:02 +0200

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,15 @@
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                libcap-ng-dev,
-               libselinux1-dev (>= 3.4),
-               libsepol-dev (>= 3.4),
+               libselinux1-dev (>= 3.5),
+               libsepol-dev (>= 3.5),
                python3-dev (>= 3.2),
+               python3-pip,
+               python3-setuptools,
 Homepage: https://selinuxproject.org
 # The seunshare executable is not installed SETUID in the package,
 # this is done in the postinst script if the capabilities cannot be set.
@@ -21,13 +23,13 @@
 
 Package: policycoreutils-python-utils
 Architecture: all
-Depends: policycoreutils (>= 3.4),
+Depends: policycoreutils (>= 3.5),
          python3-audit,
-         python3-selinux (>= 3.4),
-         python3-semanage (>= 3.4),
+         python3-selinux (>= 3.5),
+         python3-semanage (>= 3.5),
          python3-sepolgen (= ${source:Version}),
          python3-sepolicy (= ${source:Version}),
-         python3-setools (>= 4.4.0),
+         python3-setools (>= 4.4.2),
          selinux-utils,
          ${misc:Depends},
          ${python3:Depends},
@@ -51,9 +53,9 @@
 
 Package: python3-sepolicy
 Architecture: all
-Depends: python3-selinux (>= 3.4),
+Depends: python3-selinux (>= 3.5),
          python3-sepolgen (= ${source:Version}),
-         python3-setools (>= 4.4.0),
+         python3-setools (>= 4.4.2),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
@@ -65,13 +67,12 @@
 Architecture: all
 Depends: gir1.2-glib-2.0,
          gir1.2-gtk-3.0,
-         policycoreutils (>= 3.4),
-         policycoreutils-dbus (>= 3.4),
-         policycoreutils-dev (>= 3.4),
-         policykit-1,
+         policycoreutils (>= 3.5),
+         policycoreutils-dbus (>= 3.5),
+         policycoreutils-dev (>= 3.5),
          python3-dbus,
          python3-gi,
-         python3-selinux (>= 3.4),
+         python3-selinux (>= 3.5),
          python3-sepolicy (= ${source:Version}),
          ${misc:Depends},
          ${python3:Depends}
@@ -93,11 +94,11 @@
 Architecture: linux-any
 Section: devel
 Depends: binutils,
-         policycoreutils (>= 3.4),
-         python3-selinux (>= 3.4),
+         policycoreutils (>= 3.5),
+         python3-selinux (>= 3.5),
          python3-sepolgen (= ${source:Version}),
          python3-sepolicy (= ${source:Version}),
-         semodule-utils (>= 3.4),
+         semodule-utils (>= 3.5),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
@@ -149,11 +150,11 @@
 
 Package: python3-sepolgen
 Architecture: all
-Depends: checkpolicy (>= 3.4),
+Depends: checkpolicy (>= 3.5),
          make,
-         python3-selinux (>= 3.4),
-         python3-setools (>= 4.4.0),
-         semodule-utils (>= 3.4),
+         python3-selinux (>= 3.5),
+         python3-setools (>= 4.4.2),
+         semodule-utils (>= 3.5),
          ${misc:Depends},
          ${python3:Depends}
 Recommends: selinux-policy-dev

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 
 BUILT_USING=$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W "libsepol-dev")
 export PYTHON=python3
+export DEB_PYTHON_INSTALL_LAYOUT=deb
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all

## selinux-python 3.7

=== chcat/Makefile ===
# Installation directories.
LINGUAS ?=
PREFIX ?= /usr
BINDIR ?= $(PREFIX)/bin
MANDIR ?= $(PREFIX)/share/man

.PHONY: all
all: chcat

install: all
	-mkdir -p $(DESTDIR)$(BINDIR)
	install -m 755 chcat $(DESTDIR)$(BINDIR)
	-mkdir -p $(DESTDIR)$(MANDIR)/man8
	install -m 644 chcat.8 $(DESTDIR)$(MANDIR)/man8/
	for lang in $(LINGUAS) ; do \
		if [ -e $${lang} ] ; then \
			mkdir -p $(DESTDIR)$(MANDIR)/$${lang}/man8 ; \
			install -m 644 $${lang}/*.8 $(DESTDIR)$(MANDIR)/$${lang}/man8/ ; \
		fi ; \
	done

clean:

indent:

relabel:

test:

=== debian/changelog ===
selinux-python (3.7-4) unstable; urgency=medium

  * Make python3-sepolicy Breaks and Replaces policycoreutils-gui (<< 3.7-2)
    Closes: #1080420
  * Added port_range to semanage-port(8).  Closes: #1049403

 -- Russell Coker <russell@coker.com.au>  Mon, 03 Feb 2025 20:40:08 +1100

selinux-python (3.7-3) unstable; urgency=medium

  * Fix abort on audit2allow -Rv
  * Remove ${shlibs:Depends} for python3-sepolicy and
    policycoreutils-python-utils as it's not used for them
  * Changed a < to << in control to fix a warning

 -- Russell Coker <russell@coker.com.au>  Sat, 28 Dec 2024 18:59:19 +1100

selinux-python (3.7-2) unstable; urgency=medium

  * make python3-sepolicy conflict with selinux-gui < 3.7-2
  * Closes: #1080420

 -- Russell Coker <russell@coker.com.au>  Sat, 14 Sep 2024 19:17:55 +1000

selinux-python (3.7-1) unstable; urgency=medium

  * New upstream release
  * new upstream signing key
  * policycoreutils-sandbox and policycoreutils-gui are now separate upstream
    packages
  * Upstream removed Russian man pages

 -- Russell Coker <russell@coker.com.au>  Sat, 31 Aug 2024 23:51:54 +1000

=== debian/control ===
Source: selinux-python
Vcs-Git: https://salsa.debian.org/selinux-team/selinux-python.git
Vcs-Browser: https://salsa.debian.org/selinux-team/selinux-python
Priority: optional
Section: utils
Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
Uploaders: Laurent Bigonville <bigon@debian.org>,
           Russell Coker <russell@coker.com.au>
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (= 13),
               dh-python,
               libselinux1-dev (>= 3.7),
               libsepol-dev (>= 3.7),
               python3-dev (>= 3.2),
               python3-pip,
               python3-setuptools,
Homepage: https://selinuxproject.org
# The seunshare executable is not installed SETUID in the package,
# this is done in the postinst script if the capabilities cannot be set.
# There is no need to have (fake)root during the build.
Rules-Requires-Root: no

Package: policycoreutils-python-utils
Architecture: all
Depends: policycoreutils (>= 3.7),
         python3-audit,
         python3-selinux (>= 3.7),
         python3-semanage (>= 3.7),
         python3-sepolgen (= ${source:Version}),
         python3-sepolicy (= ${source:Version}),
         python3-setools (>= 4.4.2),
         selinux-utils,
         ${misc:Depends},
         ${python3:Depends},
Breaks: policycoreutils (<< 2.4)
Replaces: policycoreutils (<< 2.4)
Pre-Depends: ${misc:Pre-Depends}
Description: SELinux core policy utilities (Python utilities)
 Security-enhanced Linux is a patch of the Linux® kernel and a number
 of utilities with enhanced security functionality designed to add
 mandatory access controls to Linux.  The Security-enhanced Linux
 kernel contains new architectural components originally developed to
 improve the security of the Flask operating system. These
 architectural components provide general support for the enforcement
 of many kinds of mandatory access control policies, including those
 based on the concepts of Type Enforcement®, Role-based Access Control,
 and Multi-level Security.
 .
 This package contains the policycoreutils written in Python like semanage,
 audit2why, audit2allow or chcat.

Package: python3-sepolicy
Architecture: all
Depends: python3-selinux (>= 3.7),
         python3-sepolgen (= ${source:Version}),
         python3-setools (>= 4.4.2),
         ${misc:Depends},
         ${python3:Depends},
Conflicts: selinux-gui (<< 3.7-2)
Breaks: policycoreutils-gui (<< 3.7-2)
Replaces: policycoreutils-gui (<< 3.7-2)
Section: python
Description: Python binding for SELinux Policy Analyses
 This package contains a Python binding for SELinux Policy Analyses.

Package: policycoreutils-dev
Architecture: linux-any
Section: devel
Depends: binutils,
         policycoreutils (>= 3.7),
         python3-selinux (>= 3.7),
         python3-sepolgen (= ${source:Version}),
         python3-sepolicy (= ${source:Version}),
         semodule-utils (>= 3.7),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Breaks: policycoreutils (<< 2.4)
Replaces: policycoreutils (<< 2.4)
Built-Using: ${Built-Using}
Description: SELinux core policy utilities (development utilities)
 Security-enhanced Linux is a patch of the Linux® kernel and a number
 of utilities with enhanced security functionality designed to add
 mandatory access controls to Linux.  The Security-enhanced Linux
 kernel contains new architectural components originally developed to
 improve the security of the Flask operating system. These
 architectural components provide general support for the enforcement
 of many kinds of mandatory access control policies, including those
 based on the concepts of Type Enforcement®, Role-based Access Control,
 and Multi-level Security.
 .
 This package contains the management tools used to develop policy in an
 SELinux environment.

Package: python3-sepolgen
Architecture: all
Depends: checkpolicy (>= 3.7),
         make,
         python3-selinux (>= 3.7),
         python3-setools (>= 4.4.2),
         semodule-utils (>= 3.7),
         ${misc:Depends},
         ${python3:Depends}
Recommends: selinux-policy-dev
Breaks: python-sepolgen (<< 2.6)
Replaces: python-sepolgen (<< 2.6)
Section: python
Description: Python3 module used in SELinux policy generation
 This package contains a Python3 module that forms the core of the modern
 audit2allow (which is a part of the package policycoreutils).
 .
 The sepolgen library is structured to give flexibility to the application
 using it. The library contains: Reference Policy Representation,
 which are Objects for representing policies and the reference policy
 interfaces. Secondly, it has objects and algorithms for representing
 access and sets of access in an abstract way and searching that
 access. It also has a parser for reference policy "headers". It
 contains infrastructure for parsing SELinux related messages as
 produced by the audit system. It has facilities for generating policy
 based on required access.

## selinux-python 3.8

=== debian/changelog ===
selinux-python (3.8-1) unstable; urgency=medium

  * New upstream release

 -- Russell Coker <russell@coker.com.au>  Thu, 06 Feb 2025 23:38:32 +1100

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               libselinux1-dev (>= 3.7),
-               libsepol-dev (>= 3.7),
+               libselinux1-dev (>= 3.8),
+               libsepol-dev (>= 3.8),
                python3-dev (>= 3.2),
                python3-pip,
                python3-setuptools,
@@ -22,10 +22,10 @@
 
 Package: policycoreutils-python-utils
 Architecture: all
-Depends: policycoreutils (>= 3.7),
+Depends: policycoreutils (>= 3.8),
          python3-audit,
-         python3-selinux (>= 3.7),
-         python3-semanage (>= 3.7),
+         python3-selinux (>= 3.8),
+         python3-semanage (>= 3.8),
          python3-sepolgen (= ${source:Version}),
          python3-sepolicy (= ${source:Version}),
          python3-setools (>= 4.4.2),
@@ -51,7 +51,7 @@
 
 Package: python3-sepolicy
 Architecture: all
-Depends: python3-selinux (>= 3.7),
+Depends: python3-selinux (>= 3.8),
          python3-sepolgen (= ${source:Version}),
          python3-setools (>= 4.4.2),
          ${misc:Depends},
@@ -67,11 +67,11 @@
 Architecture: linux-any
 Section: devel
 Depends: binutils,
-         policycoreutils (>= 3.7),
-         python3-selinux (>= 3.7),
+         policycoreutils (>= 3.8),
+         python3-selinux (>= 3.8),
          python3-sepolgen (= ${source:Version}),
          python3-sepolicy (= ${source:Version}),
-         semodule-utils (>= 3.7),
+         semodule-utils (>= 3.8),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
@@ -94,11 +94,11 @@
 
 Package: python3-sepolgen
 Architecture: all
-Depends: checkpolicy (>= 3.7),
+Depends: checkpolicy (>= 3.8),
          make,
-         python3-selinux (>= 3.7),
+         python3-selinux (>= 3.8),
          python3-setools (>= 4.4.2),
-         semodule-utils (>= 3.7),
+         semodule-utils (>= 3.8),
          ${misc:Depends},
          ${python3:Depends}
 Recommends: selinux-policy-dev

## selinux-python 3.8.1

=== audit2allow/Makefile ===
PYTHON ?= python3
SECILC ?= secilc

# Installation directories.
LINGUAS ?=
PREFIX ?= /usr
BINDIR ?= $(PREFIX)/bin
MANDIR ?= $(PREFIX)/share/man

CFLAGS ?= -Werror -Wall -W

# If no specific libsepol.a is specified, fall back on LDFLAGS search path
# Otherwise, as $(LIBSEPOLA) already appears in the dependencies, there
# is no need to define a value for LDLIBS_LIBSEPOLA
ifeq ($(LIBSEPOLA),)
        LDLIBS_LIBSEPOLA := -l:libsepol.a
endif

all: audit2why sepolgen-ifgen-attr-helper

sepolgen-ifgen-attr-helper: sepolgen-ifgen-attr-helper.o $(LIBSEPOLA)
	$(CC) $(LDFLAGS) -o $@ $^ $(LDLIBS_LIBSEPOLA) -lselinux

audit2why:
	ln -sf audit2allow audit2why

test: all test_dummy_policy
	@$(PYTHON) test_audit2allow.py -v

test_dummy_policy: test_dummy_policy.cil
	$(SECILC) -o $@ -f /dev/null $<

install: all
	-mkdir -p $(DESTDIR)$(BINDIR)
	install -m 755 audit2allow $(DESTDIR)$(BINDIR)
	(cd $(DESTDIR)$(BINDIR); ln -sf audit2allow audit2why)
	install -m 755 sepolgen-ifgen-attr-helper $(DESTDIR)$(BINDIR)
	install -m 755 sepolgen-ifgen $(DESTDIR)$(BINDIR)
	-mkdir -p $(DESTDIR)$(MANDIR)/man1
	install -m 644 audit2allow.1 $(DESTDIR)$(MANDIR)/man1/
	install -m 644 audit2why.1 $(DESTDIR)$(MANDIR)/man1/
	for lang in $(LINGUAS) ; do \
		if [ -e $${lang} ] ; then \
			mkdir -p $(DESTDIR)$(MANDIR)/$${lang}/man1 ; \
			install -m 644 $${lang}/*.1 $(DESTDIR)$(MANDIR)/$${lang}/man1/ ; \
		fi ; \
	done

clean:
	rm -f *~ *.o sepolgen-ifgen-attr-helper test_dummy_policy

indent:
	../../scripts/Lindent $(wildcard *.[ch])

relabel: ;

=== debian/changelog ===
selinux-python (3.8.1-2) unstable; urgency=medium

  * Made policycoreutils-dev conflicts/breaks/replaces policycoreutils-gui
    before 3.7-2.  Closes: #1100824

 -- Russell Coker <russell@coker.com.au>  Thu, 03 Apr 2025 14:25:00 +1100

selinux-python (3.8.1-1) unstable; urgency=medium

  * New upstream release only version change
  * Document the -P / --prefix option in semanage-user(8)  Closes: #920667

 -- Russell Coker <russell@coker.com.au>  Sun, 16 Mar 2025 19:58:07 +1100

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               libselinux1-dev (>= 3.8),
-               libsepol-dev (>= 3.8),
+               libselinux1-dev (>= 3.8.1),
+               libsepol-dev (>= 3.8.1),
                python3-dev (>= 3.2),
                python3-pip,
                python3-setuptools,
@@ -22,10 +22,10 @@
 
 Package: policycoreutils-python-utils
 Architecture: all
-Depends: policycoreutils (>= 3.8),
+Depends: policycoreutils (>= 3.8.1),
          python3-audit,
-         python3-selinux (>= 3.8),
-         python3-semanage (>= 3.8),
+         python3-selinux (>= 3.8.1),
+         python3-semanage (>= 3.8.1),
          python3-sepolgen (= ${source:Version}),
          python3-sepolicy (= ${source:Version}),
          python3-setools (>= 4.4.2),
@@ -51,7 +51,7 @@
 
 Package: python3-sepolicy
 Architecture: all
-Depends: python3-selinux (>= 3.8),
+Depends: python3-selinux (>= 3.8.1),
          python3-sepolgen (= ${source:Version}),
          python3-setools (>= 4.4.2),
          ${misc:Depends},
@@ -67,16 +67,17 @@
 Architecture: linux-any
 Section: devel
 Depends: binutils,
-         policycoreutils (>= 3.8),
-         python3-selinux (>= 3.8),
+         policycoreutils (>= 3.8.1),
+         python3-selinux (>= 3.8.1),
          python3-sepolgen (= ${source:Version}),
          python3-sepolicy (= ${source:Version}),
-         semodule-utils (>= 3.8),
+         semodule-utils (>= 3.8.1),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Breaks: policycoreutils (<< 2.4)
-Replaces: policycoreutils (<< 2.4)
+Conflicts: selinux-gui (<< 3.7-2)
+Breaks: policycoreutils-gui (<< 3.7-2), policycoreutils (<< 2.4)
+Replaces: policycoreutils-gui (<< 3.7-2), policycoreutils (<< 2.4)
 Built-Using: ${Built-Using}
 Description: SELinux core policy utilities (development utilities)
  Security-enhanced Linux is a patch of the Linux® kernel and a number
@@ -94,11 +95,11 @@
 
 Package: python3-sepolgen
 Architecture: all
-Depends: checkpolicy (>= 3.8),
+Depends: checkpolicy (>= 3.8.1),
          make,
-         python3-selinux (>= 3.8),
+         python3-selinux (>= 3.8.1),
          python3-setools (>= 4.4.2),
-         semodule-utils (>= 3.8),
+         semodule-utils (>= 3.8.1),
          ${misc:Depends},
          ${python3:Depends}
 Recommends: selinux-policy-dev

=== debian/rules ===
--- 
+++ 
@@ -15,20 +15,14 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	dh_auto_build -Dgui
-	dh_auto_build -Dsandbox
 
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/tmp
-	dh_auto_install -Dgui --destdir=debian/tmp
-	dh_auto_install -Dsandbox --destdir=debian/tmp
 
 override_dh_auto_test:
 
 override_dh_auto_clean:
 	dh_auto_clean
-	dh_auto_clean -Dgui
-	dh_auto_clean -Dsandbox
 
 override_dh_gencontrol:
 	dh_gencontrol -- -VBuilt-Using="$(BUILT_USING)"

## selinux-python 3.9

=== audit2allow/Makefile ===
--- 
+++ 
@@ -8,6 +8,8 @@
 MANDIR ?= $(PREFIX)/share/man
 
 CFLAGS ?= -Werror -Wall -W
+override CFLAGS += -I../../libselinux/include
+override LDFLAGS+= -L../../libselinux/src
 
 # If no specific libsepol.a is specified, fall back on LDFLAGS search path
 # Otherwise, as $(LIBSEPOLA) already appears in the dependencies, there

=== semanage/Makefile ===
PYTHON ?= python3

# Installation directories.
LINGUAS ?=
PREFIX ?= /usr
SBINDIR ?= $(PREFIX)/sbin
MANDIR = $(PREFIX)/share/man
PYTHONLIBDIR ?= $(shell $(PYTHON) -c "import sysconfig; print(sysconfig.get_path('purelib', vars={'platbase': '$(PREFIX)', 'base': '$(PREFIX)'}))")
PACKAGEDIR ?= $(PYTHONLIBDIR)
BASHCOMPLETIONDIR ?= $(PREFIX)/share/bash-completion/completions

TARGETS=semanage

BASHCOMPLETIONS=semanage-bash-completion.sh 

all: $(TARGETS)

install: all
	[ -d $(DESTDIR)$(MANDIR)/man8 ] || mkdir -p $(DESTDIR)$(MANDIR)/man8
	-mkdir -p $(DESTDIR)$(SBINDIR)
	install -m 755 semanage $(DESTDIR)$(SBINDIR)
	install -m 644 *.8 $(DESTDIR)$(MANDIR)/man8
	for lang in $(LINGUAS) ; do \
		if [ -e $${lang} ] ; then \
			[ -d $(DESTDIR)$(MANDIR)/$${lang}/man8 ] || mkdir -p $(DESTDIR)$(MANDIR)/$${lang}/man8 ; \
			install -m 644 $${lang}/*.8 $(DESTDIR)$(MANDIR)/$${lang}/man8/ ; \
		fi ; \
	done
	test -d $(DESTDIR)/$(PACKAGEDIR) || install -m 755 -d $(DESTDIR)/$(PACKAGEDIR)
	install -m 644 seobject.py $(DESTDIR)/$(PACKAGEDIR)
	-mkdir -p $(DESTDIR)$(BASHCOMPLETIONDIR)
	install -m 644 $(BASHCOMPLETIONS) $(DESTDIR)$(BASHCOMPLETIONDIR)/semanage

test:
	@$(PYTHON) test-semanage.py -a
clean:

indent:

relabel:

=== sepolicy/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 PYTHON ?= python3
 
 # Installation directories.
-LINGUAS ?= ru
+LINGUAS ?=
 PREFIX ?= /usr
 BINDIR ?= $(PREFIX)/bin
 MANDIR ?= $(PREFIX)/share/man

=== sepolgen/src/Makefile ===
all: ;

install:
	$(MAKE) -C sepolgen $@
	$(MAKE) -C share $@

relabel: ;

clean:
	$(MAKE) -C sepolgen $@
	$(MAKE) -C share $@
	rm -f *~ *.pyc
	rm -f parser.out parsetab.py

indent: ;


test: ;

=== sepolgen/tests/Makefile ===
PYTHON ?= python3

clean:
	rm -f *~ *.pyc
	rm -f parser.out parsetab.py
	rm -f out.txt
	rm -f module_compile_test.fc
	rm -f module_compile_test.if
	rm -f module_compile_test.pp
	rm -f output
	rm -rf __pycache__ tmp

test:
	$(PYTHON) run-tests.py

=== sepolgen/src/sepolgen/Makefile ===
PREFIX ?= /usr
PYTHON ?= python3
PYTHONLIBDIR ?= $(shell $(PYTHON) -c "import sysconfig; print(sysconfig.get_path('purelib', vars={'platbase': '$(PREFIX)', 'base': '$(PREFIX)'}))")
PACKAGEDIR ?= /$(PYTHONLIBDIR)/sepolgen

all:

install: all
	-mkdir -p $(DESTDIR)$(PACKAGEDIR)
	install -m 644 *.py $(DESTDIR)$(PACKAGEDIR)

clean:
	rm -f parser.out parsetab.py
	rm -f *~ *.pyc
	rm -rf __pycache__

=== debian/changelog ===
selinux-python (3.9-2) unstable; urgency=medium

  * Make pip not try to download things  Closes: #1119794
    Thanks thursdaybw
  * Update to standards version 4.7.2 and enable LTO.
    Thanks Christian Göttsche <cgzones@googlemail.com>

 -- Russell Coker <russell@coker.com.au>  Sat, 15 Nov 2025 22:24:05 +1100

selinux-python (3.9-1) unstable; urgency=medium

  * 3.9 upstream
  * Fixed copyright for Lintian

 -- Russell Coker <russell@coker.com.au>  Sun, 19 Oct 2025 13:18:59 +1100

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,15 @@
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               libselinux1-dev (>= 3.8.1),
-               libsepol-dev (>= 3.8.1),
+               libselinux1-dev (>= 3.9),
+               libsepol-dev (>= 3.9),
                python3-dev (>= 3.2),
                python3-pip,
                python3-setuptools,
+               python3-wheel,
 Homepage: https://selinuxproject.org
 # The seunshare executable is not installed SETUID in the package,
 # this is done in the postinst script if the capabilities cannot be set.
@@ -22,10 +23,10 @@
 
 Package: policycoreutils-python-utils
 Architecture: all
-Depends: policycoreutils (>= 3.8.1),
+Depends: policycoreutils (>= 3.9),
          python3-audit,
-         python3-selinux (>= 3.8.1),
-         python3-semanage (>= 3.8.1),
+         python3-selinux (>= 3.9),
+         python3-semanage (>= 3.9),
          python3-sepolgen (= ${source:Version}),
          python3-sepolicy (= ${source:Version}),
          python3-setools (>= 4.4.2),
@@ -51,7 +52,7 @@
 
 Package: python3-sepolicy
 Architecture: all
-Depends: python3-selinux (>= 3.8.1),
+Depends: python3-selinux (>= 3.9),
          python3-sepolgen (= ${source:Version}),
          python3-setools (>= 4.4.2),
          ${misc:Depends},
@@ -67,11 +68,11 @@
 Architecture: linux-any
 Section: devel
 Depends: binutils,
-         policycoreutils (>= 3.8.1),
-         python3-selinux (>= 3.8.1),
+         policycoreutils (>= 3.9),
+         python3-selinux (>= 3.9),
          python3-sepolgen (= ${source:Version}),
          python3-sepolicy (= ${source:Version}),
-         semodule-utils (>= 3.8.1),
+         semodule-utils (>= 3.9),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
@@ -95,11 +96,11 @@
 
 Package: python3-sepolgen
 Architecture: all
-Depends: checkpolicy (>= 3.8.1),
+Depends: checkpolicy (>= 3.9),
          make,
-         python3-selinux (>= 3.8.1),
+         python3-selinux (>= 3.9),
          python3-setools (>= 4.4.2),
-         semodule-utils (>= 3.8.1),
+         semodule-utils (>= 3.9),
          ${misc:Depends},
          ${python3:Depends}
 Recommends: selinux-policy-dev

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,9 @@
 BUILT_USING=$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W "libsepol-dev")
 export PYTHON=python3
 export DEB_PYTHON_INSTALL_LAYOUT=deb
+export PYBUILD_DISABLE_pip_isolation=1
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
 
 %:
 	dh $@ --with python3
